Index: /trunk/plugins/admin_multi_view/language/pt_PT/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/pt_PT/description.txt	(revision 8927)
+++ /trunk/plugins/admin_multi_view/language/pt_PT/description.txt	(revision 8927)
@@ -0,0 +1,1 @@
+description -> Permite aos Administradores ver a galeria como Convidados e/ou mudar a Linguagem e/ou tema instantaneamente. Práctico para testar mudanças...
Index: /trunk/plugins/admin_multi_view/language/pt_PT/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/pt_PT/index.php	(revision 8927)
+++ /trunk/plugins/admin_multi_view/language/pt_PT/index.php	(revision 8927)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/pt_PT/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/pt_PT/description.txt	(revision 8927)
+++ /trunk/plugins/c13y_upgrade/language/pt_PT/description.txt	(revision 8927)
@@ -0,0 +1,1 @@
+Teste a integridade das actualizações.
Index: /trunk/plugins/c13y_upgrade/language/pt_PT/index.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/pt_PT/index.php	(revision 8927)
+++ /trunk/plugins/c13y_upgrade/language/pt_PT/index.php	(revision 8927)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/pt_PT/plugin.lang.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/pt_PT/plugin.lang.php	(revision 8927)
+++ /trunk/plugins/c13y_upgrade/language/pt_PT/plugin.lang.php	(revision 8927)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
+$lang['c13y_upgrade_no_anomaly'] = 'Nenhuma anomalia detectada depois da actualização. O plugin "Check upgrades" foi desactivado.';
+$lang['c13y_dbl_email_user'] = 'Utilizadores com o mesmo endereço de email';
+$lang['c13y_correction_dbl_email_user'] = 'Apagar Utilizadores duplicados';
+$lang['c13y_obsolete_plugin'] = ' Plugin obsoleto';
+$lang['c13y_correction_obsolete_plugin'] = 'O plugin "%s" foi incluído nesta versão da aplicação e deverá ser desinstalado primeiro.';
+
+?>
Index: /trunk/plugins/language_switch/language/pt_PT/description.txt
===================================================================
--- /trunk/plugins/language_switch/language/pt_PT/description.txt	(revision 8927)
+++ /trunk/plugins/language_switch/language/pt_PT/description.txt	(revision 8927)
@@ -0,0 +1,1 @@
+Mude para outra Linguagem clicando numa bandeira na página de entrada da sua galeria.
Index: /trunk/plugins/language_switch/language/pt_PT/index.php
===================================================================
--- /trunk/plugins/language_switch/language/pt_PT/index.php	(revision 8927)
+++ /trunk/plugins/language_switch/language/pt_PT/index.php	(revision 8927)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>