Index: /extensions/autoupdate/trunk/language/pt_PT/description.txt
===================================================================
--- /extensions/autoupdate/trunk/language/pt_PT/description.txt	(revision 8930)
+++ /extensions/autoupdate/trunk/language/pt_PT/description.txt	(revision 8930)
@@ -0,0 +1,1 @@
+Actualize a sua galeria automaticamente.
Index: /extensions/autoupdate/trunk/language/pt_PT/index.php
===================================================================
--- /extensions/autoupdate/trunk/language/pt_PT/index.php	(revision 8930)
+++ /extensions/autoupdate/trunk/language/pt_PT/index.php	(revision 8930)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php	(revision 8930)
+++ /extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php	(revision 8930)
@@ -0,0 +1,40 @@
+<?php
+
+$lang['Click here to upgrade automatically'] = 'Clique aqui para actualizar automaticamente';
+$lang['autoupdate_alert'] = 'Tem a certeza k deseja actualizar Piwigo automaticamente?\nAtenção!!! Ficheiros que foram modificados podem ser re-escritos.';
+$lang['autoupdate_success'] = 'Piwigo foi actualizado com sucesso (versão %s)';
+$lang['autoupdate_fail'] = 'Ocorreu um erro durante a actualização automática.';
+
+$lang['autoupdate_extract_fail'] = 'Ocorreu um erro durante a extração dos ficheiros. Por favior verifique as permissões de escrita da sua instalação Piwigo.<br><a href="%s">Clique aqui para mostrar o relatório de erros</a>.';
+
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo não consegue recuperar o ficheiro de actualização do servidor remoto.';
+$lang['Click here to see Piwigo %s release notes'] = 'Clique aqui para ver as notas de lançamento de Piwigo %s';
+$lang['Some upgrades are available for you plugins'] = 'Estão disponíveis algumas actualizações para os seus plugins';
+$lang['Click here see upgrade plugins page'] = 'Clique aqui para ver a página de actualização de plugins';
+$lang['Gallery and plugins are up to date'] = 'Galeria e plugins estão actualizados';
+$lang['Unable to check upgrades...'] = 'Impossível verificar a existência de novas actualizações...';
+$lang['Click here to check upgrades now'] = 'Clique aqui para verificar agora por novas actualizações';
+
+$lang['Notify on admin homepage'] = 'Notificar no Painel Administrativo';
+$lang['Don\'t notify on admin homepage'] = 'Não notificar no Painel Administrativo';
+
+$lang['Upgrade in progress... Please wait.'] = 'Actualização em curso... Aguarde, por favor.';
+$lang['Checking upgrades for gallery and plugins...'] = 'A verificar actualizações para a galeria e plugins...';
+
+$lang['Upgrade to Piwigo %s'] = 'Actualizar para Piwigo %s';
+$lang['Two upgrades are available'] = 'Duas actualizações disponíveis';
+$lang['This is a minor upgrade, with only bug corrections.'] = 'Esta é uma actualização menor, apenas alguns pequenos erros foram corrigidos.';
+$lang['This is a major upgrade, with <a href="%s">new exciting features</a>.'] = 'Esta é uma actualização maior, com <a href="%s">novas funcionalidades excitantes</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Alguns temas e plugins poderão não estar ainda disponíveis.';
+$lang['You can upgrade to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Pode actualizar para Piwigo %s directamente, sem actualizar primeiro para Piwigo %s (recomendado).';
+$lang['autoupdate_step_1'] = 'Primeiro Passo';
+$lang['autoupdate_step_2'] = 'Segundo Passo';
+$lang['autoupdate_step_3'] = 'Terceiro Passo';
+$lang['Save Template Directory'] = 'Salvar a pasta de Modelos';
+$lang['Dump Database'] = 'Descarregar Base de Dados';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Incluir dados históricos (Aviso: pode exceder o limite de memória do servidor)';
+$lang['Unable to write new local directory.'] = 'Impossível criar nova pasta local.';
+$lang['Unable to send template directory.'] = 'Impossível enviar pasta de modelos.';
+$lang['Unable to dump database.'] = 'Impossível descarregar base de dados.';
+
+?>