Index: extensions/photoWidget/language/no_NO/description.txt
===================================================================
--- extensions/photoWidget/language/no_NO/description.txt	(revision 8938)
+++ extensions/photoWidget/language/no_NO/description.txt	(revision 8938)
@@ -0,0 +1,1 @@
+legg til en utrolig 3D animasjon for bildene
Index: extensions/photoWidget/language/no_NO/index.php
===================================================================
--- extensions/photoWidget/language/no_NO/index.php	(revision 8938)
+++ extensions/photoWidget/language/no_NO/index.php	(revision 8938)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/photoWidget/language/no_NO/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/no_NO/plugin.lang.php	(revision 8938)
+++ extensions/photoWidget/language/no_NO/plugin.lang.php	(revision 8938)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'denne plugginnen viser bilder ved bruk av flash film som roterer dem i 3D. Det blir som vanlige album men på en utrolig mer spennende måte.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Du kan velge denne modusen for å vise et, flere eller alle album';
+$lang['Main configuration'] = 'Hoved konfigurasjon';
+$lang['All categories'] = 'Alle album';
+$lang['Applicable categorie(s)'] = 'Relevante album';
+$lang['Animation size'] = 'Animasjons størrelse';
+$lang['Animation background color'] = 'Animasjons bakgrunds farge';
+$lang['Color'] = 'Farge';
+$lang['You choose that mode for'] = 'Du velger denne modusen for';
+$lang['one category'] = 'Et album';
+$lang['all categories'] = 'alle album';
+$lang['severals categories'] = 'flere album';
+$lang['Width has been updated'] = 'Bredde har blitt oppdatert';
+$lang['Height has been updated'] = 'Høyde har blitt oppdatert';
+$lang['Background color of animation has been updated'] = 'Bakgrunds farge til animasjonen har blitt oppdatert';
+$lang['This widget requires Flash Player 9 or better'] = 'Denne widgeten krever Flash Player 9 eller bedre';
+?>