Index: /extensions/cl_conflit/admin/cl_conflit_admin.php
===================================================================
--- /extensions/cl_conflit/admin/cl_conflit_admin.php	(revision 8941)
+++ /extensions/cl_conflit/admin/cl_conflit_admin.php	(revision 8942)
@@ -29,6 +29,10 @@
    PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/'
 );
+  $CONFLIT_PATH_ABS=str_replace('\\','/',dirname(__FILE__) );
 if (!defined('CONFLIT_PATH_ABS')) 
-define('CONFLIT_PATH_ABS',dirname(__FILE__).'/');
+define(
+  'CONFLIT_PATH_ABS',   $CONFLIT_PATH_ABS."/"
+);
+
 // +-----------------------------------------------------------------------+
 // | Check Access and exit when user status is not ok                      |
@@ -111,5 +115,7 @@
   						array( 
                         'CONFLIT_PATH' => CONFLIT_PATH,
-						'CONFLIT_PATH_ABS' => CONFLIT_PATH_ABS  
+						'CONFLIT_PATH_ABS' => CONFLIT_PATH_ABS  ,
+                         'Infos' =>  conflit_memo_var($cl_plugin ) ,
+                         'cl_version' =>$cl_plugin['version']
                         ) );
 
@@ -118,5 +124,5 @@
  {
   case 'cl_conflit_admin':
-
+ 
     $template->set_filenames(array('plugin_admin_content' => realpath(CONFLIT_PATH . 'admin/template/admin.tpl'))); 
     
Index: /extensions/cl_conflit/admin/template/admin.tpl
===================================================================
--- /extensions/cl_conflit/admin/template/admin.tpl	(revision 8941)
+++ /extensions/cl_conflit/admin/template/admin.tpl	(revision 8942)
@@ -1,3 +1,3 @@
-{html_head} 
+{* $Id: conflit admin.tpl  *}{html_head} 
  <script type="text/javascript">
      var DEBUG = '{$DEBUG}';
@@ -11,9 +11,7 @@
      var cl_type = '{$cl_type}';
 
-     </script>
+     </script> {/html_head}
 {if PHPWG_VERSION < 2.2 } {include file=$CONFLIT_PATH_ABS|@cat:'template/header_2_1.tpl'}
-{else} {include file= $CONFLIT_PATH_ABS|@cat:'template/header_2_2.tpl'} {/if} {/html_head}
-
-{* $Id: conflit admin.tpl  *}
+{else} {include file= $CONFLIT_PATH_ABS|@cat:'template/header_2_2.tpl'} {/if}
  <!--- HEAD conflit TPL --->
 
@@ -34,7 +32,7 @@
 		<h2>{'cl_conflit'} {'version'|translate}{$cl_version}</h2>
 </div>
- 
-
-
+<fieldset  ><legende >INFOS</legende>
+ {$Infos}
+ </fieldset>
    
 <table >
@@ -42,5 +40,5 @@
  
     <table>
-       <td><input name="submit" type="submit" value="{'cl_conflit_save'|@translate}" /></td>
+       <td><input name="submit" type="hidden" value="{'save'|@translate}" /></td>
     </table> 
 </form>
Index: /extensions/cl_conflit/admin/template/header_2_1.tpl
===================================================================
--- /extensions/cl_conflit/admin/template/header_2_1.tpl	(revision 8941)
+++ /extensions/cl_conflit/admin/template/header_2_1.tpl	(revision 8942)
@@ -1,7 +1,8 @@
-﻿
-{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1}
+﻿{html_head}
+{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js"  }
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"} 
 {known_script id="conflit_script" src = $CONFLIT_PATH|@cat:"js/conflit.js"  } 
 {known_script id="dimensions" src = $CONFLIT_PATH|@cat:"js/jquery.dimensions.js"  } 
+{/html_head}
 
 
Index: /extensions/cl_conflit/conflit.inc.php
===================================================================
--- /extensions/cl_conflit/conflit.inc.php	(revision 8941)
+++ /extensions/cl_conflit/conflit.inc.php	(revision 8942)
@@ -160,3 +160,15 @@
 	 
  }
+
+  function conflit_memo_var($variables)
+{
+  ob_start();
+  echo '<pre>';
+  print_r($variables);
+  echo '</pre>';
+  $m= ob_get_contents();
+  ob_end_clean();
+  return $m;		
+}
+    
 ?>
Index: /extensions/cl_conflit/include/affiche.php
===================================================================
--- /extensions/cl_conflit/include/affiche.php	(revision 8941)
+++ /extensions/cl_conflit/include/affiche.php	(revision 8942)
@@ -1,20 +1,12 @@
 <?php  
-
-	
 
 $visible=(isset($visible))?$visible:false;
 $theme=$user['theme'];
- 
-
   	$template->assign(
   					array(
                     'CONFLIT_PATH' => CONFLIT_PATH,
-                    'theme' => $theme,
-
-					
+                    'theme' => $theme,					
 				 )
-				);	
-
-			    
+				);				    
  //unset($_POST);
 ?>
Index: /extensions/cl_conflit/template/conflit.tpl
===================================================================
--- /extensions/cl_conflit/template/conflit.tpl	(revision 8941)
+++ /extensions/cl_conflit/template/conflit.tpl	(revision 8942)
@@ -1,6 +1,6 @@
 {if PHPWG_VERSION < 2.2 }  
-  {assign var= file value=$AUTOSIZE_PATH_ABS|@cat:'template/header_2_1.tpl' }
+  {assign var= file value=$CONFLIT_PATH_ABS|@cat:'template/header_2_1.tpl' }
  {else}
-  {assign var= file value=$AUTOSIZE_PATH_ABS|@cat:'template/header_2_2.tpl'
+  {assign var= file value=$CONFLIT_PATH_ABS|@cat:'template/header_2_2.tpl'
 }
  {/if}  { include file= $file   } 