Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 8951)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 8952)
@@ -402,4 +402,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'اداة للمحاكاة فقط (لن يتم أي تغير في قاعدة البيانات)';
 $lang['[Simulation]'] = '[محاكات]';
+$lang['Simulation'] = 'محاكات';
 $lang['directories + files'] = 'مجلدات + ملفات';
 $lang['only directories'] = 'فقط المجلدات';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 8951)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 8952)
@@ -406,4 +406,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'realitza només una simulació (no es farà cap canvi a la base de dades)';
 $lang['[Simulation]'] = '[Simulació]';
+$lang['Simulation'] = 'Simulació';
 $lang['directories + files'] = 'directoris + fitxers';
 $lang['only directories'] = 'només directoris';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 8951)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 8952)
@@ -404,4 +404,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'pouze simulace přidání (nebudou učiněny žádné změny v databázi)';
 $lang['[Simulation]'] = '[Simulace]';
+$lang['Simulation'] = 'Simulace';
 $lang['directories + files'] = 'adresáře + soubory';
 $lang['only directories'] = 'pouze adresáře';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 8951)
+++ /trunk/language/da_DK/admin.lang.php	(revision 8952)
@@ -404,4 +404,5 @@
 $lang['only perform a simulation (no change in database will be made)']     =     'Kun udføre en simulering (intet vil blive ændret i databasen)';
 $lang['[Simulation]']     =     '[Simulation]';
+$lang['Simulation']     =     'Simulation';
 $lang['directories + files']     =     'Mapper + filer';
 $lang['only directories']     =     'Mapper kun';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 8951)
+++ /trunk/language/de_DE/admin.lang.php	(revision 8952)
@@ -398,4 +398,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'nur Simulation (es werden keine Elemente in der Datenbank verändert)';
 $lang['[Simulation]'] = '[Simulation]';
+$lang['Simulation'] = 'Simulation';
 $lang['directories + files'] = 'Ordner und Dateien';
 $lang['only directories'] = 'Nur Ordner';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 8951)
+++ /trunk/language/en_UK/admin.lang.php	(revision 8952)
@@ -609,4 +609,5 @@
 $lang['Settings'] = 'Settings';
 $lang['Show info'] = "Show info";
+$lang['Simulation'] = "Simulation";
 $lang['singly represented'] = "fixed representative";
 $lang['Site manager'] = "Site manager";
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 8951)
+++ /trunk/language/es_ES/admin.lang.php	(revision 8952)
@@ -399,4 +399,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'Únicamente simular (ningún cambio en la base de datos será efectuado)';
 $lang['[Simulation]'] = '[Simulación]';
+$lang['Simulation'] = 'Simulación';
 $lang['directories + files'] = 'repertorios + ficheros';
 $lang['only directories'] = 'repertorios únicamente';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 8951)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 8952)
@@ -405,4 +405,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = "فقط انجام یک شبیه‌سازی (هیچ چیزی در پایگاه داده تغییر نمی‌کند)";
 $lang['[Simulation]'] = "[شبیه‌سازی]";
+$lang['Simulation'] = "شبیه‌سازی";
 $lang['directories + files'] = "دایرکتوری + فایل‌ها";
 $lang['only directories'] = "فقط دایرکتوری‌ها";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 8951)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 8952)
@@ -407,4 +407,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = "Simuler uniquement (aucun changement ne sera fait dans la base de données)";
 $lang['[Simulation]'] = "[Simulation]";
+$lang['Simulation'] = "Simulation";
 $lang['directories + files'] = "Répertoires + fichiers";
 $lang['only directories'] = "Répertoires uniquement";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 8951)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 8952)
@@ -404,4 +404,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = "Simuler uniquement (aucun changement ne sera fait dans la base de données)";
 $lang['[Simulation]'] = "[Simulation]";
+$lang['Simulation'] = "Simulation";
 $lang['directories + files'] = "Répertoires + fichiers";
 $lang['only directories'] = "Répertoires uniquement";
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 8951)
+++ /trunk/language/he_IL/admin.lang.php	(revision 8952)
@@ -402,4 +402,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'רק לבצע סימולציה (דבר יהיה שונה במסד הנתונים)';
 $lang['[Simulation]'] = '[הדמיה]';
+$lang['Simulation'] = 'הדמיה';
 $lang['directories + files'] = 'תמונות + תקיות';
 $lang['only directories'] = 'תקיות בלבד';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 8951)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 8952)
@@ -397,4 +397,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'izvrši samo oponašanje (nema promjena u bazi podataka)';
 $lang['[Simulation]'] = '[Oponašanje]';
+$lang['Simulation'] = 'Oponašanje';
 $lang['directories + files'] = 'mape + zapise';
 $lang['only directories'] = 'samo mape';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 8951)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 8952)
@@ -399,4 +399,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'Csak szimuláció végrehajtása (az adatbázisban nem történik változás)';
 $lang['[Simulation]'] = '[Szimuláció]';
+$lang['Simulation'] = 'Szimuláció';
 $lang['directories + files'] = 'Mappák + fájlok';
 $lang['only directories'] = 'Csak mappák';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 8951)
+++ /trunk/language/it_IT/admin.lang.php	(revision 8952)
@@ -404,4 +404,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'Solo simulazione (non sarà  fatta nessuna modifica nel database)';
 $lang['[Simulation]'] = '[Simulazione]';
+$lang['Simulation'] = 'Simulazione';
 $lang['directories + files'] = 'Directory + file';
 $lang['only directories'] = 'Solo directory';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 8951)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 8952)
@@ -401,4 +401,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'シミュレーションのみ実行する (データベースは更新されません)';
 $lang['[Simulation]'] = '[シミュレーション]';
+$lang['Simulation'] = 'シミュレーション';
 $lang['directories + files'] = 'ディレクトリ + ファイル';
 $lang['only directories'] = 'ディレクトリのみ';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 8951)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 8952)
@@ -402,4 +402,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'მხოლოდ ტესტირება (არ შევიტანოთ ცვლილებები მონაცემთა ბაზაში)';
 $lang['[Simulation]'] = '[ტესტი]';
+$lang['Simulation'] = 'ტესტი';
 $lang['directories + files'] = 'ფაილები და ფოლდერები';
 $lang['only directories'] = 'მხოლოდ ფოლდერები';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 8951)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 8952)
@@ -398,4 +398,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'veikt tikai testēšanu (nekas nemainās datu bāzē)';
 $lang['[Simulation]'] = '[Simulācija]';
+$lang['Simulation'] = 'Simulācija';
 $lang['directories + files'] = 'mapes un faili';
 $lang['only directories'] = 'tikai mapes';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 8951)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 8952)
@@ -399,4 +399,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'alleen een simulatie uitvoeren (er worden geen veranderingen aangebracht in de database)';
 $lang['[Simulation]'] = '[Simulatie]';
+$lang['Simulation'] = 'Simulatie';
 $lang['directories + files'] = 'mappen + bestanden';
 $lang['only directories'] = 'alleen mappen';
Index: /trunk/language/no_NO/admin.lang.php
===================================================================
--- /trunk/language/no_NO/admin.lang.php	(revision 8951)
+++ /trunk/language/no_NO/admin.lang.php	(revision 8952)
@@ -398,4 +398,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'Utfør kun en simulering (ingen forandringer blir gjort i databasen)';
 $lang['[Simulation]'] = '[Simulering]';
+$lang['Simulation'] = 'Simulering';
 $lang['directories + files'] = 'mapper + filer';
 $lang['only directories'] = 'kun mapper';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 8951)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 8952)
@@ -399,4 +399,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'przeprowadź tylko symulację (nie będzie żadnych zmian w bazie danych)';
 $lang['[Simulation]'] = '[Symulacja]';
+$lang['Simulation'] = 'Symulacja';
 $lang['directories + files'] = 'katalogi + pliki';
 $lang['only directories'] = 'tylko katalogi';
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 8951)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 8952)
@@ -402,4 +402,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'apenas executa uma simulação (não será feita alteração alguma na base de dados)';
 $lang['[Simulation]'] = '[Simulação]';
+$lang['Simulation'] = 'Simulação';
 $lang['directories + files'] = 'diretórios + arquivos';
 $lang['only directories'] = 'apenas diretórios';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 8951)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 8952)
@@ -401,4 +401,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'apenas executa uma simulação (não será feita alteração alguma na base de dados)';
 $lang['[Simulation]'] = '[Simulação]';
+$lang['Simulation'] = 'Simulação';
 $lang['directories + files'] = 'diretórios + arquivos';
 $lang['only directories'] = 'apenas diretórios';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 8951)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 8952)
@@ -399,4 +399,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'только тестировать (не вносить изменения в базу данных)';
 $lang['[Simulation]'] = '[Тест]';
+$lang['Simulation'] = 'Тест';
 $lang['directories + files'] = 'папки и файлы';
 $lang['only directories'] = 'только папки';
Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 8951)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 8952)
@@ -401,4 +401,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'izvrši samo simulaciju (nema promena u bazi podataka)';
 $lang['[Simulation]'] = '[Simulacija]';
+$lang['Simulation'] = 'Simulacija';
 $lang['directories + files'] = 'direktorijume + datoteke';
 $lang['only directories'] = 'samo direktorijume';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 8951)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 8952)
@@ -400,4 +400,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'len simulácia pridania (nebudú urobené žiadne zmeny v databáze)';
 $lang['[Simulation]'] = '[Simulácia]';
+$lang['Simulation'] = 'Simulácia';
 $lang['directories + files'] = 'adresáre + súbory';
 $lang['only directories'] = 'len adresáre';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 8951)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 8952)
@@ -401,4 +401,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'изврши само симулацију (нема промена у бази података)';
 $lang['[Simulation]'] = '[Симулација]';
+$lang['Simulation'] = 'Симулација';
 $lang['directories + files'] = 'директоријуме + датотеке';
 $lang['only directories'] = 'само директоријуме';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 8951)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 8952)
@@ -400,4 +400,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'Utför enbart simulering (inget kommer att ändras i databasen)';
 $lang['[Simulation]'] = '[Simulering]';
+$lang['Simulation'] = 'Simulering';
 $lang['directories + files'] = 'Kataloger + filer';
 $lang['only directories'] = 'bara kataloger';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 8951)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 8952)
@@ -399,4 +399,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'sadece veritabanında değişecektir) bir simülasyon (hiçbir şey yapılmayacak)';
 $lang['[Simulation]'] = '[Simülasyon]';
+$lang['Simulation'] = 'Simülasyon';
 $lang['directories + files'] = 'dizinler + resimler';
 $lang['only directories'] = 'sadece dizinler';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 8951)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 8952)
@@ -401,4 +401,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = 'chỉ thực hiện công đoạn giả lập (không có sự thay đổi nào đối với cơ sở dữ liệu)';
 $lang['[Simulation]'] = '[Giả lập]';
+$lang['Simulation'] = 'Giả lập';
 $lang['directories + files'] = 'thư mục + tệp tin';
 $lang['only directories'] = 'chỉ áp dụng cho các thư mục';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 8951)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 8952)
@@ -400,4 +400,5 @@
 $lang['only perform a simulation (no change in database will be made)'] = '只进行模拟操作(不会改变数据库中的任何内容)';
 $lang['[Simulation]'] = '[模拟]';
+$lang['Simulation'] = '模拟';
 $lang['directories + files'] = '文件夹 + 文件';
 $lang['only directories'] = '只对文件夹';