Index: extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- extensions/event_cats/admin/template/duplication.tpl	(revision 7832)
+++ extensions/event_cats/admin/template/duplication.tpl	(revision 8956)
@@ -1,5 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June 2009 - ... --> *}
 
-{* <!-- Keeps file coded in UTF-8 without BOM: é --> *}
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {include file=$HeaderIncTPL}
@@ -22,11 +22,11 @@
 //--></script>
 
-<!-- Acknowledgement
-  A lot of below code has simply been copied-pasted from file cat_perm.tpl .  
-  Many thanks to people who wrote it !                                        
--->
+<!-- Aknowledgement ----------------------------------------------------------
+| A lot of below code has simply been copied-pasted from file cat_perm.tpl . |
+| Many thanks to people who wrote it !                                       |
+----------------------------------------------------------------------------->
 
 {* <!-- Duplication configuration parameters --> *}
-<form action = "" method = "post" class = "titrePage" {* name = "ec_duplic_conf"  *} >
+<form action = "" method = "post" class = "titrePage" name = "ec_duplic_conf">
   <fieldset>
     <legend>{'Configuration'|@translate}</legend>
@@ -34,80 +34,64 @@
       <tr>
         <td style = "text-align:right; font-weight:bold;">
-          {'Duplication allowance'|@translate}
+          {'Duplication allowance'|@translate}&nbsp;&nbsp;
         </td>
         <td>
-          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
-            <li style = "margin-bottom:0;">
-              <label for = "ec_dup_conf_none_id">
-                <input
-                  type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
-                  {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
-               >
-                {'No account'|@translate}
-              </label>
-            </li>
-            <li style = "margin-bottom:0;">
-              <label for = "ec_dup_conf_group_id">
-                <input
-                  type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
-                  {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
-               >
-                {'Selection per group'|@translate}
-              </label>
-            </li>
-            <li style = "margin-bottom:0;">
-              <label for = "ec_dup_conf_all_id">
-                <input
-                  type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
-                  {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
-               >
-                {'All accounts'|@translate}
-              </label>
-            </li>
-          </ul>
+          <label for = "ec_dup_conf_none_id">
+            <input
+              type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
+              {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
+            />
+            {'No account'|@translate}
+          </label><br />
+          <label for = "ec_dup_conf_group_id">
+            <input
+              type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
+              {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
+            />
+            {'Selection per group'|@translate}
+          </label><br />
+          <label for = "ec_dup_conf_all_id">
+            <input
+              type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
+              {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
+            />
+            {'All accounts'|@translate}
+          </label>
         </td>
         <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
         <td style = "text-align:right; font-weight:bold;">
-          {$ec_dup_link_conf}
+          {$ec_dup_link_conf}&nbsp;&nbsp;
         </td>
         <td>
-          <ul style = "list-style-type:none; list-style-position:inside; padding-left: 0.5em;">
-            <li style = "margin-bottom:0;">
-              <label for = "ec_dup_disp_normal_id">
-                <input
-                  type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
-                  {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
-               >
-                {'No account'|@translate}
-              </label>
-            </li>
-            <li style = "margin-bottom:0;">
-              <label for = "ec_dup_disp_but_gen_id">
-                <input
-                  type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
-                  {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
-               >
-                {'All but generics'|@translate}
-              </label>
-            </li>
-            <li style = "margin-bottom:0;">
-              <label for = "ec_dup_disp_dup_id">
-                <input
-                  type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
-                  {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
-               >
-                {'All accounts'|@translate}
-              </label>
-            </li>
-          </ul>
+          <label for = "ec_dup_disp_normal_id">
+            <input
+              type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
+              {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
+            />
+            {'No account'|@translate}
+          </label><br />
+          <label for = "ec_dup_disp_but_gen_id">
+            <input
+              type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
+              {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
+            />
+            {'All but generics'|@translate}
+          </label><br />
+          <label for = "ec_dup_disp_dup_id">
+            <input
+              type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
+              {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
+            />
+            {'All accounts'|@translate}
+          </label><br />
         </td>
       </tr>
-    </table><br>
-    <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'Save dup. config btn'|@translate}">
+    </table>
+    <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'Save dup. config btn'|@translate}" />
   </fieldset>
 </form>
 
 {* <!-- Duplication settings by groups / types / user ids --> *}
-<form action = "" method = "post" {* name = "ec_duplic_set" *} id="categoryPermissions">
+<form action = "" method = "post" name = "ec_duplic_set" id="categoryPermissions">
   
   <h4>{'Groups'|@translate}</h4>
@@ -117,8 +101,8 @@
     <ul>
       {foreach from=$groups_granted_ids item=id}
-      <li><label><input type = "checkbox" name = "deny_groups[]" value = "{$id}"> {$all_groups[$id]}</label></li>
+      <li><label><input type = "checkbox" name = "deny_groups[]" value = "{$id}" /> {$all_groups[$id]}</label></li>
       {/foreach}
-    </ul><br>
-    <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'Deny to groups btn'|@translate}">
+    </ul>
+    <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'Deny to groups btn'|@translate}" />
   </fieldset>
   
@@ -129,6 +113,6 @@
       <li><label><input type = "checkbox" name = "grant_groups[]" value = "{$id}"> {$all_groups[$id]}</label></li>
       {/foreach}
-    </ul><br>
-    <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'Grant to groups btn'|@translate}">
+    </ul>
+    <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'Grant to groups btn'|@translate}" />
   </fieldset>
   
@@ -139,11 +123,12 @@
     <ul>
       {if $ec_gen_granted}
-        <li><label><input type = "checkbox" name = "deny_generic"> {'user_status_generic'|@translate}</label><br></li>
+      <li><label><input type = "checkbox" name = "deny_generic" /> {'user_status_generic'|@translate}</label></li>
+      <br />
       {/if}
       {foreach from=$types_granted_ids item=id}
-        <li><label><input type = "checkbox" name = "deny_types[]" value = "{$id}"> {$all_types[$id]}</label></li>
+        <li><label><input type = "checkbox" name = "deny_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
       {/foreach}
-    </ul><br>
-    <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'Deny to types btn'|@translate}">
+    </ul>
+    <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'Deny to types btn'|@translate}" />
   </fieldset>
   
@@ -152,12 +137,12 @@
     <ul>
       {if !$ec_gen_granted}
-      <li><label><input type = "checkbox" name = "grant_generic"> {'user_status_generic'|@translate}</label></li>
-      <br>
+      <li><label><input type = "checkbox" name = "grant_generic" /> {'user_status_generic'|@translate}</label></li>
+      <br />
       {/if}
       {foreach from=$types_denied_ids item=id}
-        <li><label><input type = "checkbox" name = "grant_types[]" value = "{$id}"> {$all_types[$id]}</label></li>
+        <li><label><input type = "checkbox" name = "grant_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
       {/foreach}
-    </ul><br>
-    <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'Grant to types btn'|@translate}">
+    </ul>
+    <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'Grant to types btn'|@translate}" />
   </fieldset>
   
@@ -168,8 +153,8 @@
     <ul>
       {foreach from=$users_granted_direct_ids item=id}
-      <li><label><input type = "checkbox" name = "deny_users[]" value = "{$id}"> {$all_users[$id]}</label></li>
+      <li><label><input type = "checkbox" name = "deny_users[]" value = "{$id}" /> {$all_users[$id]}</label></li>
       {/foreach}
-    </ul><br>
-    <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'Deny to users btn'|@translate}">
+    </ul>
+    <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'Deny to users btn'|@translate}" />
   </fieldset>
   
@@ -191,6 +176,6 @@
       <li><label><input type = "checkbox" name = "grant_users[]" value = "{$id}"> {$all_users[$id]}</label></li>
       {/foreach}
-    </ul><br>
-    <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'Grant to users btn'|@translate}">
+    </ul>
+    <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'Grant to users btn'|@translate}" />
   </fieldset>
   