Index: /extensions/cl_conflit/admin/template/header_2_1.tpl
===================================================================
--- /extensions/cl_conflit/admin/template/header_2_1.tpl	(revision 8957)
+++ /extensions/cl_conflit/admin/template/header_2_1.tpl	(revision 8958)
@@ -1,8 +1,4 @@
-﻿{html_head}
-{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js"  }
+﻿{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js"  }
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"} 
 {known_script id="conflit_script" src = $CONFLIT_PATH|@cat:"js/conflit.js"  } 
 {known_script id="dimensions" src = $CONFLIT_PATH|@cat:"js/jquery.dimensions.js"  } 
-{/html_head}
-
-
Index: /extensions/cl_conflit/conflit.inc.php
===================================================================
--- /extensions/cl_conflit/conflit.inc.php	(revision 8957)
+++ /extensions/cl_conflit/conflit.inc.php	(revision 8958)
@@ -44,12 +44,15 @@
 		$ma_page=isset($page['body_id'])?$page['body_id']:"" ;
 		if ($ma_page=='thePiwiShackControllerPage') return ;
-	   	$my_path =  basename(dirname(__FILE__)).'/' ;
-	    $my_path = dirname(__FILE__).'/';
-		$template->set_filenames(array('cl_conflit_init'=>$my_path. "template/conflit.tpl" ) );	
+
+         if (PHPWG_VERSION < 2.2 ) 
+                $file =CONFLIT_PATH_ABS.'template/header_2_1.tpl' ;
+        else 
+                $file =CONFLIT_PATH_ABS.'template/header_2_2.tpl' ;
+ 
+        $template->set_filenames(array('cl_conflit_init_header'=> $file ));
+		$template->set_filenames(array('cl_conflit_init'=>CONFLIT_PATH_ABS. "template/conflit.tpl" ) );	
 		$DEBUG =  isset($conf['cl_debug']) ? $conf['cl_debug'] : "false"  ; 
 		$cl_conflit_parametres =	 cl_conflit_Get_Options() ;
 		$theme=$user['theme'];
-		$url = get_root_url();	
-    
   		$template->assign(
   						array( 
@@ -58,5 +61,5 @@
 						'cl_version' => $cl_plugin['version'] ,
 						'name' => $cl_plugin['name'] ,
-						'MY_ROOT' => $url,						 
+									 
 						'theme' => $theme  ,
 						'DEBUG' => $DEBUG   ,
@@ -64,5 +67,6 @@
 						'CONFLIT_PATH_ABS' => CONFLIT_PATH_ABS  
                         ) );
-	
+				
+	 	$template->concat('cl_conflit_init', $template->parse('cl_conflit_init_header', true));
 		return $template->parse( 'cl_conflit_init', false);
 	}// function cl_conflit_script_1
Index: /extensions/cl_conflit/main.inc.php
===================================================================
--- /extensions/cl_conflit/main.inc.php	(revision 8957)
+++ /extensions/cl_conflit/main.inc.php	(revision 8958)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: cl_conflit
-Version: 1.1.0
+Version: 1.1.1
 Description: gestion des conflits entre jQuery et les autres librairies
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=474
Index: /extensions/cl_conflit/template/conflit.tpl
===================================================================
--- /extensions/cl_conflit/template/conflit.tpl	(revision 8957)
+++ /extensions/cl_conflit/template/conflit.tpl	(revision 8958)
@@ -1,10 +1,4 @@
-{if PHPWG_VERSION < 2.2 }  
-  {assign var= file value=$CONFLIT_PATH_ABS|@cat:'template/header_2_1.tpl' }
- {else}
-  {assign var= file value=$CONFLIT_PATH_ABS|@cat:'template/header_2_2.tpl'
-}
- {/if}  { include file= $file   } 
-<script type="text/javascript">
- 
+{html_head}
+  <script type="text/javascript"> 
  var DEBUG = '{$DEBUG}';
     var theme = '{$theme}';
@@ -21,3 +15,3 @@
  {/if}
 {/if}
-</script>
+</script>{/html_head}  
Index: /extensions/cl_conflit/template/header_2_1.tpl
===================================================================
--- /extensions/cl_conflit/template/header_2_1.tpl	(revision 8957)
+++ /extensions/cl_conflit/template/header_2_1.tpl	(revision 8958)
@@ -1,4 +1,6 @@
-﻿{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" }
+﻿{html_head}
+{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0}
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"} 
 {known_script id="conflit_script" src = $CONFLIT_PATH|@cat:"js/conflit.js"  } 
 {known_script id="dimensions" src = $CONFLIT_PATH|@cat:"js/jquery.dimensions.js"  } 
+{/html_head}