Index: /extensions/database_migration/language/lv_LV/description.txt
===================================================================
--- /extensions/database_migration/language/lv_LV/description.txt	(revision 8963)
+++ /extensions/database_migration/language/lv_LV/description.txt	(revision 8963)
@@ -0,0 +1,1 @@
+Šis spraudnis palīdz pārvietot datus no mysql uz citām datu bāzēm
Index: /extensions/database_migration/language/lv_LV/index.php
===================================================================
--- /extensions/database_migration/language/lv_LV/index.php	(revision 8963)
+++ /extensions/database_migration/language/lv_LV/index.php	(revision 8963)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | database_migration - a plugin for Piwigo                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header("Request-URI: $url");
+header("Content-Location: $url");
+header("Location: $url");
+exit();
+?>
Index: /extensions/database_migration/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/database_migration/language/lv_LV/plugin.lang.php	(revision 8963)
+++ /extensions/database_migration/language/lv_LV/plugin.lang.php	(revision 8963)
@@ -0,0 +1,58 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | database_migration - a plugin for Piwigo                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// template
+$lang['MySQL to others databases migration plugin'] = 'Spraudnis datu pārvietošanai no MySQL uzcitām datu bāzēm';
+$lang['Import process'] = 'Importa process';
+$lang['New'] = 'Jauns';
+$lang['List'] = 'Saraksts';
+$lang['Edit'] = 'Rediģēt';
+$lang['No connection defined'] = 'Nav noteiktu savienojumu';
+$lang['First we will create new configuration file for your new database.'] = 'Vispirms izveidosim jaunu konfigurācijas failu jūsu jaunajai datu bāzei.';
+$lang['Export done'] = 'Eksports pabeigts';
+$lang['Force export'] = 'Forsēts eksports';
+$lang['lines'] = 'rindas';
+$lang['Creation of new database'] = 'Jaunas datu bāzes izveidošana';
+$lang['Installation of new tables'] = 'Jaunu tabulu instalācija';
+$lang['Restore content into your new database'] = 'Jaunās datu bāzes satura atjaunošana';
+$lang['Database to populate'] = 'Datu bāzes, ko aizpildīt';
+$lang['Choose connection'] = 'Izvēlēties savienojumu';
+$lang['You must define at least one connection to an new database'] ='Jums jādefinē vismaz viens savienojums ar jauno datu bāzi';
+$lang['New connection'] = 'Jauns savienojums';
+$lang['Edit database configuration'] = 'Rediģēt datu bāzes konfigurāciju';
+$lang['New database configuration'] = 'Jaunās datu bāzes konfigurācija';
+$lang['Restore config for Mysql database'] = 'Atjaunot Mysql datubāzes konfigurāciju';
+
+// php
+$lang['Configuration'] = 'Konfigurācija';
+$lang['Export'] = 'Eksports';
+$lang['Import'] = 'Imports';
+$lang['Migration'] = 'Migrācija';
+$lang['Restore'] = 'Atjaunošana';
+$lang['%s is required'] = '%s nepieciešams';
+$lang['Connection added successfully'] = 'Savienojums pievienots sekmīgi';
+$lang['Connection deleted successfully'] = 'Savienojums izdzēsts sekmīgi';
+$lang['Connection updated successfully'] = 'Savienojums atjaunināts sekmīgi';
+$lang['unknown dblayer'] = 'nezināms dbunknown db slānis';
+$lang['Cannot create struture'] = 'Nevar izveidot struktūru';
+$lang['Cannot import %s content'] = 'Nevar importēt %s saturu';
+$lang['Import completed'] = 'Imports pabeigts';
+?>