Index: extensions/albums/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/albums/language/nl_NL/plugin.lang.php	(revision 8968)
+++ extensions/albums/language/nl_NL/plugin.lang.php	(revision 8968)
@@ -0,0 +1,90 @@
+<?php
+$lang['%d category including'] = '%d album inclusief';
+$lang['%d categories including'] = '%d albums inclusief';
+$lang['%d category moved'] = '%d album verplaatst';
+$lang['%d categories moved'] = '%d albums verplaatst';
+$lang['Apply to subcategories'] = 'Toepassen op subalbums';
+$lang['Association to categories'] = 'gekoppeld aan albums';
+$lang['Categories authorized thanks to group associations'] = 'Albums geauthoriseerd door groeps koppeling';
+$lang['Categories manual order was saved'] = 'Album handmatige volgorde is opgeslagen';
+$lang['Category elements associated to the following categories: %s'] = 'Album foto\'s geassocieerd aan de volgende albums: %s';
+$lang['Link all category elements to a new category'] = 'Koppel alle album foto\'s aan een nieuw album';
+$lang['Link all category elements to some existing categories'] = 'Koppel alle album foto\'s aan bestaande albums';
+$lang['Linked categories'] = 'Gekoppelde albums';
+$lang['Manage permissions for a category'] = 'Beheer rechten op een album';
+$lang['Move categories'] = 'Verplaats albums';
+$lang['New parent category'] = 'Nieuw hoofd album';
+$lang['Only private categories are listed'] = 'Alleen priv\é albums zijn te zien';
+$lang['Other private categories'] = 'Andere priv\é albums';
+$lang['Parent category'] = 'Hoofd album';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Permalink %s is eerder gebruikt door album %s. Verwijder het van de permalinks geschiedenis eerst';
+$lang['Permalink %s is already used by category %s'] = 'Permalink %s wordt al gebruikt door album %s';
+$lang['Representation of categories'] = 'Album vertegenwoordiging';
+$lang['Select at least one category'] = 'Selecteer minstens één album';
+$lang['Storage category'] = 'Opslag album';
+$lang['Virtual categories movement'] = 'Virtuele albums verplaatsing';
+$lang['Virtual categories to move'] = 'Virtuele albums te verplaatsen';
+$lang['Virtual category name'] = 'Virtuele album naam';
+$lang['You cannot move a category in its own sub category'] = 'Je kan een album niet verplaatsen in zijn eigen sub album';
+$lang['associate to category'] = 'associeer aan album';
+$lang['Add a virtual category'] = 'Voeg een virtueel album toe';
+$lang['Authorize users to add comments on selected categories'] = 'Authoriseer gebruikers om commentaren aan geselecteerde albums toe te voegen';
+$lang['The name of a category should not be empty'] = 'De naam van een album kan niet leeg zijn';
+$lang['Lock categories'] = 'Sluit albums';
+$lang['Private category'] = 'Priv\é album';
+$lang['Public category'] = 'Publiek album';
+$lang['Manage authorizations for selected categories'] = 'Beheer autorisatie voor geselecteerde albums';
+$lang['Select uploadable categories'] = 'Selecteer te uploaden albums';
+$lang['Virtual category added'] = 'Virtueel album toegevoegd';
+$lang['Virtual category deleted'] = 'Virtueel album verwijderd';
+$lang['Category'] = 'Album';
+$lang['delete category'] = 'verwijder album';
+$lang['dissociate from category'] = 'disassociosieer van album';
+$lang['edit category permissions'] = 'bewerk album permissies';
+$lang['Category informations updated successfully.'] = 'Album informatie succesvol bewerkt.';
+$lang['jump to category'] = 'ga naar to album';
+$lang['manage category elements'] = 'Beheer album foto\'s';
+$lang['manage sub-categories'] = 'Beheer sub-albums';
+$lang['sub-categories'] = 'sub-albums';
+$lang['Categories management'] = 'Album beheer';
+$lang['Edit a category'] = 'Bewerk een album';
+$lang['Update categories informations'] = 'Vernieuw album informatie';
+$lang['reduce to single existing categories'] = 'beperk enkel tot bestaande albums';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Toon maximum informatie (toegevoegde albums en elementen, verwijderde albums en elementen)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'een afbeeldings bestandstype vereist een thumbnail. De thumbnail moet bestaan in de sub-directory \'thumbnail\' van de album directory. De thumbnail bestandsnaam moet beginnen met de geconfigureerde thumbnail voorvoegsel en de extensie moet in de lijst staan :';
+$lang['categories deleted in the database'] = 'albums verwijderd uit de database';
+$lang['categories added in the database'] = 'albums toegevoegd aan de database';
+$lang['Virtual category'] = 'Virtueel album';
+$lang['Files with same name in more than one physical category'] = 'Identieke bestands namen in meer dan \é\én fysiek album';
+$lang['[%s] Come to visit the category %s'] = '[%s] Bezoek het album %s';
+$lang['Come to discover the category:'] = 'Ontdek het album:';
+$lang['edit category informations'] = 'bewerk informatie van dit album';
+$lang['No element in this category'] = 'Geen element in dit album';
+$lang['Drop into category'] = 'Plaats in het album';
+$lang['existing category'] = 'bestaand album';
+$lang['create a new category'] = 'maak een nieuw album';
+$lang['Category name'] = 'Album naam';
+$lang['Category \'%s\' has been added'] = 'Album \'%s\' is toegevoegd';
+$lang['Category \'%s\' now contains %d photos'] = 'Album \'%s\' bevat nu %d foto\'s';
+$lang['Categories ordered alphanumerically'] = 'Albums gesorteerd op alphanumerieke volgorde';
+$lang['Categories ordered alphanumerically reverse'] = 'Albums gesorteerd op omgekeerd alphanumerieke volgorde';
+$lang['%d category updated'] = '%d album begewerkt';
+$lang['%d categories updated'] = '%d albums begewerkt';
+$lang['Categories'] = 'Albums';
+$lang['Category'] = 'Album';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'De RSS feed zorgt voor berichten bij nieuwe gebeurtenissen van deze website: nieuwe foto\'s, bijgewerkte albums, nieuwe commentaren. Te gebruiken met een RSS feed reader.';
+$lang['Expand all categories'] = 'Alle albums uitklappen';
+$lang['shows images at the root of this category'] = 'toont plaatjes op hoogste niveau van dit album';
+$lang['in this category'] = 'in dit album';
+$lang['in %d sub-category'] = 'in %d sub-album';
+$lang['in %d sub-categories'] = 'in %d sub-albums';
+$lang['display all elements in all sub-categories'] = 'Toon alle elementen in alle albums en sub-albums';
+$lang['Recent categories'] = 'Recente albums';
+$lang['display recently updated categories'] = 'display pas begewerkte albums';
+$lang['Search in Categories'] = 'Zoek in albums';
+$lang['Search in subcategories'] = 'Zoek in subalbums';
+$lang['set as category representative'] = 'set as album voorbeeld';
+$lang['Category: %s'] = 'Album: %s';
+$lang['Category results for'] = 'Album resultaten voor';
+$lang['All sub-categories of private categories become private'] = 'Alle sub-albums van priv\é albums worden ook priv\é';
+?>