Index: /extensions/Keaihui_/icon/index.php
===================================================================
--- /extensions/Keaihui_/icon/index.php	(revision 8978)
+++ /extensions/Keaihui_/icon/index.php	(revision 8978)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Keaihui_/icon/mimetypes/index.php
===================================================================
--- /extensions/Keaihui_/icon/mimetypes/index.php	(revision 8978)
+++ /extensions/Keaihui_/icon/mimetypes/index.php	(revision 8978)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Keaihui_/index.php
===================================================================
--- /extensions/Keaihui_/index.php	(revision 8978)
+++ /extensions/Keaihui_/index.php	(revision 8978)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Keaihui_/local_head.tpl
===================================================================
--- /extensions/Keaihui_/local_head.tpl	(revision 8978)
+++ /extensions/Keaihui_/local_head.tpl	(revision 8978)
@@ -0,0 +1,3 @@
+<!--[if IE]> 
+	<link rel="stylesheet" href="{$ROOT_URL}themes/Keaihui/theme-ie.css" type="text/css">
+<![endif]-->
Index: /extensions/Keaihui_/mail-css.tpl
===================================================================
--- /extensions/Keaihui_/mail-css.tpl	(revision 8978)
+++ /extensions/Keaihui_/mail-css.tpl	(revision 8978)
@@ -0,0 +1,12 @@
+/* Theme Keaihui mail css */
+
+body {ldelim} background-color:#111; color:#666;}
+#copyright {ldelim} min-height: 220px; height: 220px; width: 100%; min-width: 100%; padding: 10px 100px 30px 100px; }
+h2 {ldelim} color:#f70; padding-bottom: 5px;}
+img {ldelim} margin: 16px; border: 16px solid #444; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 0; background-color:#222;-moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #f70; background-color: transparent; border:0; text-decoration: none;}
+a:hover {ldelim} color: #F33; border-bottom: 1px solid #FF3363;}
+a.thumblnk:hover {ldelim} border:0;}
+a.Piwigo {ldelim} font-family: verdana, arial, helvetica, sans-serif; color : #F33; text-decoration: none; border: 0; }
+a.Piwigo:hover {ldelim} border-bottom: 1px solid #FF3363; }
Index: /extensions/Keaihui_/theme-ie.css
===================================================================
--- /extensions/Keaihui_/theme-ie.css	(revision 8978)
+++ /extensions/Keaihui_/theme-ie.css	(revision 8978)
@@ -0,0 +1,12 @@
+#content .thumbnailCategory div.description .text {
+	scrollbar-face-color:#222;
+	scrollbar-shadow-color:#444;
+	scrollbar-highlight-color:#000;
+	scrollbar-darkshadow-color:#333;
+	scrollbar-track-color:#111;
+	scrollbar-arrow-color:#f70;
+}
+
+#debug { word-wrap:break-word; }
+/* IE6... Hacks: */
+/*\*/ * html #menubar #mbIdentification .button { margin-right:25px; } /* */ 
Index: /extensions/Keaihui_/theme.css
===================================================================
--- /extensions/Keaihui_/theme.css	(revision 8978)
+++ /extensions/Keaihui_/theme.css	(revision 8978)
@@ -0,0 +1,461 @@
+.content div.thumbnailCategory div.illustration { 
+	width:135px !important; /* Usable range 162px-360px , optimal : Thumbnail width + 40px */ 
+}
+#comments div.thumbnailCategory div.illustration { 
+	width:135px !important; /* Usable range 219px-360px , optimal : Thumbnail width + 95px */ 
+}
+#comments .thumbnailCategories hr {display:none;}
+#comments form.filter input[type="submit"] { margin-top:1.8em; }
+
+/*  Keaihui Theme is close to the Sylvia theme */
+
+BODY, H1, H3, DT, INPUT.rateButtonSelected, H2, #menubar DT { 
+	color:#444; 
+}
+#imageHeaderBar, #imageToolBar A:hover { 
+	background-color: transparent; 
+}
+BODY { 
+	background:transparent;
+	margin:0; 
+	padding:0; 
+	min-height: 200px; 
+	font-family: "ËÎÌå", "Microsoft YaHei", Arial, Helvetica, Verdana, Sans-Serif;
+}
+#the_page { 
+	background:#fffff0;
+	margin:0 auto; 
+	text-align:center;
+	padding:0; 
+	z-index:0; 
+	width: 96%; 
+	min-width: 480px;
+	max-width: 1080px;
+}
+#theHeader { 
+	margin:10px auto; 
+	padding:0;
+	width: auto; 
+	min-width: 150px; 
+	min-height: 110px; 
+}
+#theHeader a:hover { 
+	border: 0 !important; 
+}
+#mbIdentification p, .totalImages { 
+	color:#333; 
+}
+.header_msgs,
+.header_notes {
+	background:#ddffdd none !important;
+	border:2px solid #FF3363;
+	color:#333;
+	font-size:16px;
+	margin:10px auto !important;
+	padding:5px !important;
+	width:95%;
+	border-radius:4px;
+    -moz-border-radius:4px;
+    -webkit-border-radius:4px;
+	box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+    -moz-box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+    -webkit-box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+}
+#menubar { 
+	background: transparent;
+	text-align: left;
+	width: 231px;
+	margin: 0; 
+	padding: 0;
+	border: 0; 
+}
+#menubar DL { 
+	border:2px solid #FF3363;
+	margin:0 0 10px 0; 
+	padding:0; 
+	width: 100%;
+	min-height: 32px; 
+	overflow: hidden;
+	border-top-right-radius:20px;
+    -moz-border-radius-topright:20px;
+    -webkit-border-top-right-radius:20px;
+	border-bottom-left-radius:20px;
+    -moz-border-radius-bottomleft:20px;
+    -webkit-border-bottom-left-radius:20px;
+	box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+    -moz-box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+    -webkit-box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+}
+#imageHeaderBar H2 { 
+	border: 0; 
+}
+#menubar DT { 
+	border-bottom:2px solid #FF3363;
+	width: 100%;
+	height:20px;
+	display:block;
+	margin-left:5px;
+	text-align:left; 
+}
+#menubar DD { 
+	margin:14px 0 0 0; 
+	padding:0 0 22px; 
+	width: 100%; 
+	border: 0; 
+	overflow: hidden;
+}
+#menubar DD P {
+  padding: 2px 16px 0; 
+  margin: 0;
+}
+#menubar UL, #menubar #mbCategories p, #menubar .illustration  { 
+	margin:0; 
+}
+#menubar DT A { 
+	font-size: 100%; 
+}
+#menubar UL { 
+	color:#FF3363; 
+	font-size: 16px; 
+	line-height: 15px; 
+}
+#menubar LI { 
+	padding-left: 12px; 
+}
+#menubar A, .menuInfoCat { 
+	font-size: 13px; 
+}
+#menubar form {  
+	margin:0; 
+}
+#menubar DL#mbIdentification { 
+	border:2px solid #888888 !important;
+	box-shadow: 0 0 4px 2px rgba(136, 136, 136, 0.5) !important;
+    -moz-box-shadow: 0 0 4px 2px rgba(136, 136, 136, 0.5) !important;
+    -webkit-box-shadow: 0 0 4px 2px rgba(136, 136, 136, 0.5) !important;
+}
+DL#mbIdentification DT { 
+	border-bottom:2px solid #888888 !important;
+}
+#menubar #mbIdentification  .actions, #menubar #mbIdentification form  p { 
+	background:transparent none repeat-y scroll left bottom; 
+}
+#menubar #mbIdentification p { 
+	padding: 2px 16px 0; 
+	margin: 0;
+}
+#menubar p { 
+	padding: 16px 16px 0; 
+}
+#menubar .button { 
+	position:relative; 
+	right:15px; 
+	top:4px; 
+	height:16px; 
+	width:16px; 
+}
+#menubar #mbIdentification .button { 
+	height:24px; 
+	width:24px; 
+	right:0px; 
+	top:-40px; 
+}
+#menubar #mbIdentification fieldset { 
+	border:0; 
+	margin:0 24px 0 23px; 
+}
+#menubar #mbIdentification legend { 
+	display: none; 
+}
+#menubar #menuTagCloud { 
+	margin: 0; 
+	padding: 0 8px 0 16px; 
+}
+.content { 
+	background:transparent; 
+	margin:0 0 10px 0; 
+	padding:10px 5px;
+	border:2px solid #FF3363;
+	border-radius:4px;
+    -moz-border-radius:4px;
+    -webkit-border-radius:4px;
+	box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+    -moz-box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+    -webkit-box-shadow: 0 0 4px 2px rgba(255, 51, 99, 0.5);
+}
+#theCategoryPage .content { 
+	margin:0 0 10px 250px !important; 
+}
+.content h2 { 
+	margin:0; 
+	padding:0px 10px 15px 15px; 
+	border:0;
+}
+.content ul.thumbnailCategories li {
+	background:transparent; 
+	border:0;
+	width:49%; 
+	margin: 0; 
+	padding:0; 
+}
+.content div.thumbnailCategory { 
+	background:transparent; 
+	border:2px solid #888888;
+	padding: 0; 
+	margin:5px; 
+	border-top-right-radius:20px;
+    -moz-border-radius-topright:20px;
+    -webkit-border-top-right-radius:20px;
+	border-bottom-left-radius:20px;
+    -moz-border-radius-bottomleft:20px;
+    -webkit-border-bottom-left-radius:20px;
+	box-shadow: 0 0 4px 2px rgba(136, 136, 136, 0.5);
+    -moz-box-shadow: 0 0 4px 2px rgba(136, 136, 136, 0.5);
+    -webkit-box-shadow: 0 0 4px 2px rgba(136, 136, 136, 0.5)
+}
+.content .thumbnailCategory div.illustration { 
+	background:transparent; 
+	padding: 5px;
+	margin: 0 !important; 
+}
+.content .thumbnailCategory div.illustration a { 
+	display: block; 
+	margin: 0 auto; 
+	text-align:center;
+	padding:2px; 
+}
+.content .thumbnailCategory div.description { 
+	background:transparent;
+	border-left:2px solid #888888;
+	margin: 5px 0; 
+	padding: 0 5px; 
+	min-width:150px;
+	text-align:left;
+	overflow: hidden !important; 
+}
+.content .thumbnailCategory div.description .text { 
+	display:block; 
+	margin:5px 2px 0 0;
+	overflow: auto; 
+	overflow:hidden; 
+	padding:0 0 5px; 
+}
+.content div.thumbnailCategory div.description p.dates { 
+	margin: 0 15px 0 15px; 
+	text-align: right; 
+}
+.content .thumbnailCategory div.description H3 { 
+	display: block; 
+}
+.content div.thumbnailCategory:hover { 
+	background-color:#ECECEC; 
+} 
+.content .navigationBar {
+	color:#ECECEC;
+}
+.infos { 
+	color:#f70; 
+	border:0; 
+	background-color: transparent; 
+	margin: 0 auto;
+	padding:5px 0px 0pt 10pt; 
+	min-height: 48px; 
+	text-align:left; 
+}
+.infos li, .errors li { 
+	list-style-type:none; 
+}
+.errors { 
+	color:#f33; 
+	border:0; 
+	background: transparent url(icon/errors.png) no-repeat scroll right top; 
+	margin: 0 auto;
+	padding:5px 0px 0pt 10pt; 
+	min-height: 48px; 
+	text-align:left; 
+	font-weight:bold; 
+}
+#menubar #menuTagCloud { 
+	background:transparent;
+	margin:0; 
+	padding: 0 12px; 
+}
+H2 { 
+	border-bottom: 1px solid #000000; 
+}
+#qsearchInput { 
+	color:#666666;
+}
+FIELDSET, INPUT, SELECT, TEXTAREA { 
+	border: 1px solid #888888; 
+}
+input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"] {
+	background-color:#ECECEC; 
+	color:#666666; 
+} /* stupid Line but needed  due to inpact on other themes and deadline of Piwigo 2.0 */
+input[type="file"] {
+	background-color:#ECECEC; 
+	border: 1px solid #888888;
+}
+INPUT, select, textarea { 
+	color:#666666; 
+	background-color:#ECECEC; 
+}
+input[type="radio"], input[type="checkbox"], input[type="button"].rateButtonStarEmpty, input[type="button"].rateButtonStarFull { 
+	background-color: transparent; 
+}
+#qsearchInput:focus, input:focus, select:focus, textarea:focus, input.focus, form .focus { 
+	background-color:#ECECEC;
+	color:#666666; 
+}
+.content UL.thumbnails SPAN.wrap2 {
+	border: 1px solid #888888;	/* thumbnails border color and style */
+	border-radius:4px;
+    -moz-border-radius:4px;
+    -webkit-border-radius:4px;	/* round corners with CSS3 compliant browsers */ 
+}
+.content UL.thumbnails SPAN.wrap2:hover { 
+	color:#666666;
+	background-color:#ECECEC; 
+	border:1px solid #888888;	/* thumbnails border color when mouse cursor is over it */ 
+}
+#comments ul.actions li, #comments ul.actions li:hover { 
+	background:transparent none;
+ 	padding: 0 22px; 
+	clear:both; 
+	list-style-type:none; 
+}
+span.calItem {
+	border:1px solid #888888; 
+	margin:0 5px; 
+	padding:2px 5px 0 8px;
+}
+span.calItemEmpty, td.calDayCellEmpty, td.calDayCellFull {
+	border:1px solid #888888;
+}
+A, INPUT.rateButton { 
+	color:#f70; 
+	border-width: 0; 
+}
+A:hover, A:active { 
+	color:#f33; 
+	border-bottom: 1px solid #FF3363; 
+	cursor: pointer; 
+}
+a.external { 
+	color:#FF3363; 
+	border:0; 
+	text-decoration: none; 
+}
+a.external:hover { 
+	color:#FF7700; 
+	border:0; 
+}
+a.Piwigo {
+  font-family: "ËÎÌå", "Microsoft YaHei", Arial, Helvetica, Verdana, Sans-Serif;
+  font-size: 11px; font-weight: normal; letter-spacing: 0;
+  color : #F33; text-decoration: none; border: 0; }
+a.Piwigo:hover  span.Piwigo  { 
+  border-bottom: 1px solid #FF3363; 
+}
+#theImage A, .illustration A, A.navThumb, A.navThumb { 
+	border-bottom-width: 0; 
+}
+#imageToolBar { 
+	padding:0 7%; 
+}
+#imageHeaderBar .imageNumber { 
+	margin-right:7%; 
+}
+#imageHeaderBar .browsePath { 
+	margin-left:7%; 
+}
+*, *:focus, *:active, input:active, a:active, input:focus, a:focus { 
+	outline: none; 
+}
+#debug { 
+	margin: 15px 15px 5px 248px; 
+	font-size:12px; 
+	clear: both; 
+}
+.rateButtonStarFull, .rateButtonStarEmpty {   	
+	background-image: url('icon/rating-stars.gif'); 
+}
+#menubar #mbIdentification fieldset div input[type="text"] { 
+	margin: 0 0 3px; 
+	width: 174px; 
+	display: inline; 
+}
+input[type="button"], input[type="submit"], input[type="reset"] {
+	color:#ff3363; 
+	background-color:#ECECEC; 
+	border-color:#ff3363; 
+}
+input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover {
+	color:#666666; 
+	border-color:#888888; 
+}
+.titrePage { margin: 0 5px 20px; padding: 0; border-bottom:2px solid #FF3363;}
+.titrePage img.button[alt="x"] { margin: 0 5px;}
+
+#thePicturePage .thumbnailCategory {
+	padding: 15px 2px 6px 12px; 
+	border: 1px solid #888888; 
+}
+#thePicturePage .thumbnailCategory  .date, #thePicturePage .thumbnailCategory  .author {
+	font-weight:bold;
+}
+#thePicturePage .thumbnailCategories { 
+	padding-left: 12px; 
+	padding-right: 12px; 
+}
+#thePicturePage .odd { 
+	background-color: #222; 
+	border-top:0 !important; 
+}
+#addComment fieldset {
+  color: #f70;
+	border-color: #f70;
+}
+#addComment fieldset  label {
+  color: #666666;
+}
+#theCommentsPage .content ul.thumbnailCategories li,
+#theCommentsPage .content div.thumbnailCategory ,
+#theCommentsPage .content div.thumbnailCategory div.description,
+#theCommentsPage .content .thumbnailCategory div.illustration { 
+	background-image: none;
+}
+#theCommentsPage .content div.thumbnailCategory {
+	padding: 15px 2px 6px 12px; 
+	border: 1px solid #666666; 
+}
+#theCommentsPage .content .odd { 
+	background-color: #eeeeee; 
+}
+#theCommentsPage .content .even { 
+	background-color: #ffffff; 
+}
+#theCommentsPage .content ul.thumbnailCategories li:hover { 
+	background-color: transparent; 
+}
+#theCommentsPage div#comments {
+	padding: 0 0 5px 10px;
+}
+tr.tagLine, fieldset.tagLetter, legend.tagLetterLegend {
+	border-color: #666666;
+}
+
+#the_page .content div.thumbnailCategory div.description {
+  height:108px;
+}
+
+#copyright {
+    background: #ececec;
+	width: 98%;
+	margin: 10px auto !important;
+	padding: 10px;
+}
+#piwigoAbout {
+	text-align:left;
+}
Index: /extensions/Keaihui_/themeconf.inc.php
===================================================================
--- /extensions/Keaihui_/themeconf.inc.php	(revision 8978)
+++ /extensions/Keaihui_/themeconf.inc.php	(revision 8978)
@@ -0,0 +1,20 @@
+<?php
+/*
+Theme Name: Keaihui
+Version: 1.0
+Description: Bright background, flora and pink decorations.
+Theme URI: 
+Author: Keaihui
+Author URI: http://keaihui.com/
+*/
+$themeconf = array(
+  'name'          => 'Keaihui',
+  'parent'        => 'default',
+  'icon_dir'      => 'themes/Keaihui/icon',
+  'mime_icon_dir' => 'themes/Keaihui/icon/mimetypes/',
+  'local_head'    => 'local_head.tpl',
+  'activable'     => 'true',
+  'load_parent_local_head'     => 'true',
+  'load_parent_css'            => 'true',
+);
+?>