Index: /trunk/language/ca_ES/about.html
===================================================================
--- /trunk/language/ca_ES/about.html	(revision 8979)
+++ /trunk/language/ca_ES/about.html	(revision 8980)
@@ -5,3 +5,3 @@
 personalitzable. La cirereta del pastís, Piwigo és gratuït i programari lliure.</p>
 
-<p id="linkToPiwigo"><a href="http://piwigo.org">Visita el lloc web de Piwigo </a></p>
+<p id="linkToPiwigo"><a href="http://piwigo.org">Visiteu el lloc web de Piwigo </a></p>
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 8979)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 8980)
@@ -24,12 +24,12 @@
 $lang['%d association'] = '%d associació';
 $lang['%d associations'] = '%d associacions';
-$lang['%d album including'] = '%d categoria inclosa';
-$lang['%d albums including'] = '%d categories incloses';
+$lang['%d album including'] = '%d àlbum inclòs';
+$lang['%d albums including'] = '%d àlbums inclosos';
 $lang['%d physical'] = '%d física';
 $lang['%d physical'] = '%d físiques';
 $lang[' and %d virtual'] = ' i %d virtual';
 $lang[' and %d virtual'] = ' i %d virtuals';
-$lang['%d album moved'] = '%d categoria mogudes';
-$lang['%d albums moved'] = '%d categories mogudes';
+$lang['%d album moved'] = '%d àlbum mogut';
+$lang['%d albums moved'] = '%d àlbums moguts';
 $lang['%d group'] = '%d grup';
 $lang['%d groups'] = '%d grups';
@@ -55,11 +55,11 @@
 $lang['Add'] = 'Afegeix';
 $lang['Allow user registration'] = 'Permet el registre d\'usuaris';
-$lang['Apply to sub-albums'] = 'Aplica a les subcategories';
+$lang['Apply to sub-albums'] = 'Aplica als subàlbums';
 $lang['Associated'] = 'Associat';
 $lang['Batch management'] = 'Gestió per lots';
 $lang['Caddie management'] = 'Gestió del carret';
 $lang['Caddie'] = 'Carret';
-$lang['Albums authorized thanks to group associations'] = 'Categories authorized thanks to group associations';  
-$lang['Album manual order was saved'] = 'Categories manual order was saved';
+$lang['Albums authorized thanks to group associations'] = 'Àlbums autoritzats gràcies al grup d\'associacions';  
+$lang['Album manual order was saved'] = 'S\'ha guardat l\'orde manual d\'àlbums';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Check for upgrade failed for unknown reasons.';
 $lang['Check for upgrade'] = 'Comprova si hi ha actualitzacions';
@@ -96,10 +96,10 @@
 $lang['Informations'] = 'Informacions';
 $lang['Install'] = 'Instal·la';
-$lang['Link all album photos to a new album'] = 'Enllaça tots els elements de la categoria a la nova categoria';
-$lang['Link all album photos to some existing albums'] = 'Enllaça tots els elements de la categoria a algunes categories existents';
-$lang['Linked albums'] = 'Categories enllaçades';
+$lang['Link all album photos to a new album'] = 'Enllaça tots els àlbums de fotos al nou àlbum';
+$lang['Link all album photos to some existing albums'] = 'Enllaça tots els àlbums de fotos a alguns àlbums existents';
+$lang['Linked albums'] = 'Àlbums enllaçats';
 $lang['Lock gallery'] = 'Tancar galeria';
 $lang['Maintenance'] = 'Manteniment';
-$lang['Edit album permissions'] = 'Gestiona els permisos d\'una categoria';
+$lang['Edit album permissions'] = 'Edita els permisos de l\'àlbum';
 $lang['Manage permissions for group "%s"'] = 'Gestiona els permisos del grup "%s"';
 $lang['Manage permissions for user "%s"'] = 'Gestiona els permisos de l\'usuari "%s"';
@@ -107,24 +107,24 @@
 $lang['Members'] = 'Membres';
 $lang['Metadata synchronized from file'] = 'Metadata sincronitzada del fitxer';
-$lang['Move albums'] = 'Moure categories';
+$lang['Move albums'] = 'Moure àlbums';
 $lang['Move'] = 'Moure';
 $lang['Name'] = 'Nom';
 $lang['New name'] = 'Nou nom';
-$lang['New parent album'] = 'Nova categoria pare';
+$lang['New parent album'] = 'Nou àlbum pare';
 $lang['New tag'] = 'Nova etiqueta';
 $lang['Number of comments per page'] = 'Nombre de comentaris per pàgina';
 $lang['Number of rates'] = 'Nombre de valoracions';
 $lang['Number of thumbnails to create'] = 'Nombre de miniatures per crear';
-$lang['Only private albums are listed'] = 'Només es llisten les categories privades';
+$lang['Only private albums are listed'] = 'Només es llisten els àlbums privats';
 $lang['Operating system'] = 'Sistema operatiu';
 $lang['Options'] = 'Opcions';
-$lang['Other private albums'] = 'Altres categories privades';
+$lang['Other private albums'] = 'Altres àlbums privades';
 $lang['Page banner'] = 'Bànner de la pàgina';
-$lang['Parent album'] = 'Categoria pare';
+$lang['Parent album'] = 'Àlbum pare';
 $lang['Path'] = 'Camí';
 $lang['Permalink'] = 'Enllaç permanent';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'L\'enllaç permanent %s ja s\'ha utilitzat prèviament en la categoria %s. Elimineu-lo de primer l\'historial d\'enllaços permanents';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'L\'enllaç permanent %s ja s\'ha utilitzat prèviament en l\'àlbum %s. Elimineu-lo primer de l\'historial d\'enllaços permanents';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'El nom de l\'enllaç permanent s\'ha de composar per els caràcters a-z, A-Z, 0-9, "-", "_" o "/". No ha de ser numèric o començar amb un número seguit per "-"';
-$lang['Permalink %s is already used by album %s'] = 'L\'enllaç permanent %s ja s\'utilitza per la categoria %s';
+$lang['Permalink %s is already used by album %s'] = 'L\'enllaç permanent %s ja s\'utilitza per l\'àlbum %s';
 $lang['Permalink history'] = 'Historial d\'enllaços permanents';
 $lang['Permalinks'] = 'Enllaços permanents';
@@ -143,10 +143,10 @@
 $lang['Reject'] = 'Rebutja';
 $lang['Representant'] = 'Representant';
-$lang['Representation of albums'] = 'Representació de categories';
+$lang['Representation of albums'] = 'Representació d\'àlbums';
 $lang['Representative'] = 'Representatiu';
 $lang['Represents'] = 'Representa';
 $lang['Save order'] = 'Desa l\'ordre';
-$lang['Save to permalink history'] = 'Desa al historial d\'enllaços permanents';
-$lang['Select at least one album'] = 'Seleccioneu almenys una categoria';
+$lang['Save to permalink history'] = 'Desa a l\'historial d\'enllaços permanents';
+$lang['Select at least one album'] = 'Seleccioneu almenys un àlbum';
 $lang['Select at least one photo'] = 'Seleccioneu almenys una imatge';
 $lang['Select at least one user'] = 'Seleccioneu almenys un usuari';
@@ -155,5 +155,5 @@
 $lang['Status'] = 'Estat';
 $lang['Statistics'] = 'Estadístiques';
-$lang['Storage album'] = 'Categoria d\'emmagatzematge';
+$lang['Storage album'] = 'Àlbum d\'emmagatzemament';
 $lang['Sum of rates'] = 'Suma de valoracions';
 $lang['Tag "%s" already exists'] = 'L\'etiqueta "%s" ja existeix';
@@ -169,26 +169,27 @@
 $lang['Validation'] = 'Validació';
 $lang['Version'] = 'Versió';
-$lang['Virtual albums to move'] = 'Virtual categories to move';
-$lang['Virtual album name'] = 'Virtual category name';
+$lang['Virtual albums to move'] = 'Àlbums virtuals per a moure';
+$lang['Virtual album name'] = 'Nom de l\'àlbum virtual';
 $lang['Webmaster cannot be deleted'] = 'Webmaster cannot be deleted';
 $lang['You are running on development sources, no check possible.'] = 'You are running on development sources, no check possible.';
 $lang['You cannot delete your account'] = "You cannot delete your account";
-$lang['You cannot move an album in its own sub album'] = 'You cannot move a category in its own sub category';
+$lang['You cannot move an album in its own sub album'] = 'No podeu moure un àlbum dins del seu propi subàlbum';
 $lang['You need to confirm deletion'] = 'You need to confirm deletion';
 $lang['add tags'] = 'add tags';
-$lang['Associate to album'] = 'associate to category';
-$lang['associate to group'] = 'associate to group';
+$lang['Associate to album'] = 'Assòcia a l\'àlbum';
+$lang['associate to group'] = 'assòcia al grup';
 $lang['Authorized'] = 'Authorized';
-$lang['Add a virtual album'] = 'Add a virtual category';
-$lang['Authorize users to add comments on selected albums'] = 'Authorize users to add comments on selected categories';
-$lang['The name of an album must not be empty'] = 'The name of a category should not be empty';
-$lang['Lock albums'] = 'Lock categories';
+$lang['Add a virtual album'] = 'Afegeix un àlbum virtual';
+
+$lang['Authorize users to add comments on selected albums'] = 'Autoritza als usuaris a afegir comentaris en els àlbums seleccionats';
+$lang['The name of an album must not be empty'] = 'El nom de l\'àlbum no pot ser buit';
+$lang['Lock albums'] = 'Bloqueig d\'àlbums';
 $lang['Private'] = 'Private category';
 $lang['Public'] = 'Public category';
 $lang['Find a new representant by random'] = 'Find a new representant by random';
 $lang['Public / Private'] = 'Public / Private';
-$lang['Manage authorizations for selected albums'] = 'Manage authorizations for selected categories';
-$lang['Virtual album added'] = 'Virtual category added';
-$lang['Virtual album deleted'] = 'Virtual category deleted';
+$lang['Manage authorizations for selected albums'] = 'Gestiona les autoritzacions dels àlbums seleccionats';
+$lang['Virtual album added'] = 'Àlbum virtual afegit';
+$lang['Virtual album deleted'] = 'Àlbum virtual eliminat';
 $lang['Access type'] = 'Tipus d\'accès';
 $lang['Comments'] = 'Comentaris';
@@ -202,9 +203,9 @@
 $lang['confirm'] = 'confirma';
 $lang['Date'] = 'Data';
-$lang['delete album'] = 'elimina categoria';
-$lang['Dissociate from album'] = 'desassòcia de la categoria';
+$lang['delete album'] = 'elimina l\'àlbum';
+$lang['Dissociate from album'] = 'desassòcia l\'àlbum';
 $lang['dissociate from group'] = 'desassòcia del grup';
-$lang['edit album permissions'] = 'edita els permisos de la categoria';
-$lang['Album updated successfully'] = 'La informació de la categoria s\'ha actualitat correctament.';
+$lang['edit album permissions'] = 'edita els permisos de l\'àlbum ';
+$lang['Album updated successfully'] = 'Àlbum actualitzat correctament.';
 $lang['photos per page'] = 'elements per pàgina';
 $lang['High definition enabled'] = 'Alta definicio habilitat';
@@ -222,11 +223,11 @@
 $lang['Groups'] = 'Grups';
 $lang['High definition'] = 'Alta definició';
-$lang['jump to album'] = 'salta a la categoria';
-$lang['jump to photo'] = 'salta a la imatge';
+$lang['jump to album'] = 'salta cap a l\'àlbum';
+$lang['jump to photo'] = 'salta cap a la imatge';
 $lang['leave'] = 'deixa';
 $lang['Lock'] = 'Bloqueja';
 $lang['Locked'] = 'Bloquejat';
-$lang['manage album photos'] = 'gestiona elements de categoria';
-$lang['manage sub-albums'] = 'gestiona sub-categories';
+$lang['manage album photos'] = 'gestiona els elements de l\'àlbum';
+$lang['manage sub-albums'] = 'gestiona sub-àlbums';
 $lang['Manage'] = 'Gestiona';
 $lang['maximum height'] = 'màxima alçada';
@@ -340,5 +341,5 @@
 $lang['status'] = 'estat';
 $lang['Directory'] = 'Directori';
-$lang['sub-albums'] = 'sub-categories';
+$lang['sub-albums'] = 'sub-àlbums';
 $lang['synchronize metadata'] = 'sincronitza les metadades';
 $lang['synchronize'] = 'sincronitza';
@@ -346,7 +347,7 @@
 $lang['Thumbnail'] = 'Miniatura';
 $lang['title'] = 'títol';
-$lang['Album list management'] = 'Gestió de categories';
+$lang['Album list management'] = 'Gestió de la llista d\'àlbums';
 $lang['Piwigo configuration'] = 'Configuració del Piwigo';
-$lang['Edit album'] = 'Edita una categoria';
+$lang['Edit album'] = 'Edita un àlbum';
 $lang['Group management'] = 'Gestió de grups';
 $lang['User list'] = 'Llista d\'usuaris';
@@ -375,10 +376,10 @@
 $lang['Unlocked'] = 'Desbloquejat';
 $lang['unset'] = 'no definit';
-$lang['Update albums informations'] = 'Actualitza la informació de les categories';
+$lang['Update albums informations'] = 'Actualitza la informació dels àlbums';
 $lang['Update photos information'] = 'Actualitza la informació de les imatges';
 $lang['Synchronize'] = 'Sincronitza';
-$lang['reduce to single existing albums'] = 'reduce to single existing categories';
+$lang['reduce to single existing albums'] = 'redueix solament als àlbums existents';
 $lang['Choose an option'] = 'Escolliu una opció';
-$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'mostra la informació máxima (categories i elements afegits i eliminades)';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'mostra la màxima informació (àlbums i fotos afegides i eliminades)';
 $lang['Piwigo version differs on the remote site'] = 'La versió de Piwigo difereix amb la del lloc remot';
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'La versió de create_listing_file.php del lloc remot i  Piwigo ha de ser el mateix';
@@ -390,5 +391,7 @@
 $lang['File/directory read error'] = 'Error de lectura del Fitxer/directori';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'No es pot accedir al fitxer o directori (potser no existeix o l\'accès està denegat)';
+
 $lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :';
+
 $lang['missing thumbnail'] = 'falta la miniatura';
 $lang['albums deleted in the database'] = 'categories eliminades de la base de dades';
@@ -415,5 +418,5 @@
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'El nom dels directoris i fitxers ha de estar composat per lletres, números, "-", "_" o "."';
 $lang['wrong filename'] = 'nom de fitxer erroni';
-$lang['Upload'] = 'Càrrega';
+$lang['Upload'] = 'Penja';
 $lang['user "%s" added'] = 's\'ha afegit l\'usuari "%s"';
 $lang['User status'] = 'Estat de l\'usuari';
@@ -619,3 +622,176 @@
 $lang['Set as default theme for unregistered and new users'] = "Col·locar el tema com a predeterminat per a tots que no es registren i per als nous usuaris";
 $lang['Order of menubar items has been updated successfully.'] = 'L\'ordre dels els ítems de la barra del menú s\'ha actualitzat amb éxit.';
+
+
+// missing translations
+$lang['%d of %d photos selected'] = '%d de %d fotos seleccionades';
+$lang['%d photos uploaded'] = '%d fotos penjades';
+$lang['+ Add an upload box'] = '+ Afegeix un quadre de càrrega';
+$lang['... or switch to the multiple files form'] = '... o canvia pel formulari de fitxers múltiples';
+$lang['... or switch to the old style form'] = '... o canvia pel formulari d\'estil antic';
+$lang['Action'] = 'Acció';
+$lang['Activate field "%s"'] = 'Afegeix camp "%s"';
+$lang['Activate icon "%s"'] = 'Activa la icona "%s"';
+$lang['Activate Navigation Bar'] = 'Activa la barra de navegació';
+$lang['Activate Navigation Thumbnails'] = 'Activa la navegació per miniatures';
+$lang['Active Languages'] = 'Idiomes actius';
+$lang['Active Plugins'] = 'Connectors actius';
+$lang['Active Themes'] = 'Temes actius';
+$lang['Add a filter'] = 'Afegeix un filtre';
+$lang['Add another set of photos'] = 'Afegeix un altre conjunt de fotos';
+$lang['Add New Language'] = 'Afegeix un nou idioma';
+$lang['Add Photos'] = 'Afegeix fotos';
+$lang['Add write access to the "%s" directory'] = 'Afegiu accés d\'escriptura al directori "%s"';
+$lang['Administration Home'] = 'Administration Home';
+$lang['Album "%s" has been added'] = 'S\'ha afegit l\'àlbum "%s"';
+$lang['Album "%s" now contains %d photos'] = 'Album "%s" now contains %d photos';
+$lang['Album photos associated to the following albums: %s'] = 'Album photos associated to the following albums: %s';
+$lang['Album name'] = 'Album name';
+$lang['Albums automatically sorted'] = 'Albums automatically sorted';
+$lang['All %d photos are selected'] = 'All %d photos are selected';
+$lang['Allow rating'] = 'Allow rating';
+$lang['Allow user customization'] = 'Allow user customization';
+$lang['Apply action'] = 'Apply action';
+$lang['automatic order'] = 'automatic order';
+$lang['Batch Manager'] = 'Batch Manager';
+$lang['Bound Theme'] = 'Bound Theme';
+$lang['By %s'] = 'By %s';
+$lang['Change Admin Colors'] = 'Change administration colors';
+$lang['Choose an action'] = 'Choose an action';
+$lang['create a new album'] = 'create a new album';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Create the "%s" directory at the root of your Piwigo installation';
+$lang['Delete orphan tags'] = 'Delete orphan tags';
+$lang['delete photo'] = 'delete photo';
+$lang['Delete this language'] = 'Delete this language';
+$lang['Delete this theme'] = 'Delete this theme';
+$lang['Directory does not exist'] = 'Directory does not exist';
+$lang['Download'] = 'Download';
+$lang['Download,'] = 'Download,';
+$lang['Drop into album'] = 'Drop into album';
+$lang['duplicates'] = 'duplicates';
+$lang['Error on file "%s" : %s'] = 'Error on file "%s" : %s';
+$lang['Everybody'] = 'Everybody';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif extension not available, admin should disable exif use';
+$lang['existing album'] = 'existing album';
+$lang['Failed to write file to disk'] = 'Failed to write file to disk';
+$lang['File upload stopped by extension'] = 'File upload stopped by extension';
+$lang['Forbid this language to users'] = 'Forbid this language to users';
+$lang['FTP + Synchronization'] = 'FTP + Synchronization';
+$lang['Get Support on Piwigo Forum'] = 'Get support on Piwigo forum';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation';
+$lang['Guest Settings'] = 'Guest settings';
+$lang['Help Me'] = 'Help Me';
+$lang['Image Quality'] = 'Image quality';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'This theme could not be activated, as the parent theme is missing: %s';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Impossible to deactivate this language, first set another language as default.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Impossible to deactivate this language, you need at least one language.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Impossible to deactivate this theme, you need at least one theme.';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'This theme cannot be deleted, because other themes depends on it: %s';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting';
+$lang['Inactive Languages'] = 'Inactive Languages';
+$lang['Inactive Plugins'] = 'Inactive Plugins';
+$lang['Inactive Themes'] = 'Inactive themes';
+$lang['include child albums'] = 'include child albums';
+$lang['Install on your computer,'] = 'Install on your computer,';
+$lang['Installed Languages'] = 'Installed Languages';
+$lang['Invert'] = 'Invert';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG files or ZIP archives with JPEG files inside please.';
+$lang['Keep high definition'] = 'Keep high definition';
+$lang['Language has been successfully installed'] = 'Language has been successfully installed';
+$lang['Languages'] = 'Languages';
+$lang['last import'] = 'last import';
+$lang['Main Page'] = 'Main page';
+$lang['Make this language available to users'] = 'Make this language available to users';
+$lang['Make this theme available to users'] = 'Make this theme available to users';
+$lang['Manage this set of %d photos'] = 'Manage this set of %d photos';
+$lang['manual order'] = 'manual order';
+$lang['Maximum Height'] = 'Maximum height';
+$lang['Maximum Width'] = 'Maximum Width';
+$lang['Menu Management'] = 'Menus';
+$lang['Miscellaneous'] = 'Miscellaneous';
+$lang['Missing a temporary folder'] = 'Missing a temporary folder';
+$lang['Missing Plugins'] = 'Missing Plugins';
+$lang['No file was uploaded'] = 'No file was uploaded';
+$lang['No photo in the current set.'] = 'No photo in the current set.';
+$lang['No photo selected, %d photos in current set'] = 'No photo selected, %d photos in current set';
+$lang['No photo selected, no action possible.'] = 'No photo selected, no action possible.';
+$lang['None'] = 'None';
+$lang['on the %d selected photos'] = 'on the %d selected photos';
+$lang['Operation in progress'] = 'Treatment in progress.';
+$lang['Orphan tags deleted'] = 'Orphan tags deleted';
+$lang['Page end'] = 'Page end';
+$lang['Pending Comments'] = 'Pending Comments';
+$lang['Photo Page'] = 'Photo page';
+$lang['Photo Properties'] = 'Photo properties';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['pixels'] = 'pixels';
+$lang['Please wait...'] = 'Please wait...';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.';
+$lang['predefined filter'] = 'predefined filter';
+$lang['Privacy level set to "%s"'] = 'Privacy level set to "%s"';
+$lang['Read Piwigo Documentation'] = 'Read Piwigo Documentation';
+$lang['Refresh photo set'] = 'Refresh photo set';
+$lang['Remove all filters'] = 'Remove all filters';
+$lang['remove author'] = 'remove author';
+$lang['remove creation date'] = 'remove creation date';
+$lang['remove this filter'] = 'remove this filter';
+$lang['remove title'] = 'remove title';
+$lang['Resize'] = 'Resize';
+$lang['Save Settings'] = 'Save Settings';
+$lang['Select at least one comment'] = 'Select at least one comment';
+$lang['Select files'] = 'Select files';
+$lang['Select:'] = 'Select:';
+$lang['Selection'] = 'Selection';
+$lang['Set as default language for unregistered and new users'] = 'Set as default language for unregistered and new users';
+$lang['Set author'] = 'Set author';
+$lang['Set creation date'] = 'Set creation date';
+$lang['Set title'] = 'Set title';
+$lang['Settings'] = 'Settings';
+$lang['Start pLoader and add your photos.'] = 'Start pLoader and add your photos.';
+$lang['Switch to clear or dark colors for administration'] = 'Switch to clear or dark colors for administration';
+$lang['The following tag was deleted'] = 'The following tag was deleted';
+$lang['The high definition image quality must be a number between %d and %d'] = 'The high definition image quality must be a number between %d and %d';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'The high definition maximum height must be a number between %d and %d';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'The high definition maximum width must be a number between %d and %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'The thumbnail image quality must be a number between %d and %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'The thumbnail maximum height must be a number between %d and %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'The thumbnail maximum width must be a number between %d and %d';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB';
+$lang['The uploaded file was only partially uploaded'] = 'The uploaded file was only partially uploaded';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'The uploaded files exceed the post_max_size directive in php.ini: %sB';
+$lang['The websize image quality must be a number between %d and %d'] = 'The websize image quality must be a number between %d and %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'The websize maximum height must be a number between %d and %d';
+$lang['The websize maximum width must be a number between %d and %d'] = 'The websize maximum width must be a number between %d and %d';
+$lang['The whole page'] = 'The whole page';
+$lang['The whole set'] = 'The whole set';
+$lang['Theme has been successfully installed'] = 'Theme has been successfully installed';
+$lang['There is no other language available.'] = 'There is no other language available.';
+$lang['There is no other plugin available.'] = 'There is no other plugin available.';
+$lang['There is no other theme available.'] = 'There is no other theme available.';
+$lang['This theme was not designed to be directly activated'] = 'This theme was not designed to be directly activated';
+$lang['Type here the author name'] = 'Type here the author name';
+$lang['Type here the title'] = 'Type here the title';
+$lang['Uninstalled Plugins'] = 'Uninstalled Plugins';
+$lang['Unknown upload error'] = 'Unknown upload error';
+$lang['unknown'] = 'unknown';
+$lang['Upload Photos'] = 'Upload Photos';
+$lang['Uploaded Photos'] = 'Uploaded Photos';
+$lang['Virtual Links'] = 'Virtual Links';
+$lang['Visit Gallery'] = 'Visit the gallery';
+$lang['Visit Piwigo project website'] = 'Visit Piwigo project website';
+$lang['Visit plugin site'] = 'Visit plugin site';
+$lang['Web size photo'] = 'Web size photo';
+$lang['Webmaster status is required.'] = 'Webmaster status is required.';
+$lang['Week starts on'] = 'Week starts on';
+$lang['Who can see these photos?'] = 'Who can see these photos?';
+$lang['Who can see this photo?'] = 'Who can see this photo?';
+$lang['with no album'] = 'with no album';
+$lang['with no tag'] = 'with no tag';
+$lang['with no virtual album'] = 'with no virtual album';
+$lang['You have %d orphan tags: %s.'] = 'You have %d orphan tags: %s.';
+$lang['Your configuration settings are saved'] = 'Your configuration settings are saved';
+
+
+
 ?>